Jeromy Johnson
7276fd84b0
Merge pull request #3100 from ipfs/feat/disable-cat-gc
...
ipfs/cat: disable auto-gc check
2016-08-19 15:06:12 -07:00
Jeromy
115bee5d93
ipfs/cat: disable auto-gc check
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-19 13:36:04 -07:00
Jeromy Johnson
7397dd3c1c
Merge pull request #3035 from ipfs/docs/branch-naming
...
docs: add branch naming conventions
2016-08-19 08:28:28 -07:00
Jeromy Johnson
01ffc15283
Merge pull request #3086 from ipfs/feat/test-cover-blocks
...
test: 82% coverage on blocks
2016-08-18 16:45:18 -07:00
Jeromy Johnson
10048ceca9
Merge pull request #2962 from ipfs/kevina/block-rm
...
Add "ipfs block rm" command.
2016-08-18 13:27:26 -07:00
Jeromy
cf04b1f38e
docs: add branch naming conventions
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-18 12:56:27 -07:00
Jeromy Johnson
6bb8a1f922
Merge pull request #3096 from ipfs/feat/test-cover-unixfs-mod
...
test: reach 80% coverage of unixfs/mod
2016-08-18 12:22:46 -07:00
Jeromy Johnson
1a4361e71c
Merge pull request #3074 from ipfs/feat/test-cover-blockstore
...
test: 81% coverage on blockstore
2016-08-18 11:02:42 -07:00
Jakub Sztandera
4ed8c3e5d9
test: fix typo in blockstore test
...
Also format imports
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-18 18:09:33 +02:00
Jakub Sztandera
c56e720d91
test: reach 80% coverage of unixfs/mod
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-18 17:59:47 +02:00
Jeromy Johnson
411f9d679a
Merge pull request #3095 from ipfs/fix/unixfs-relative-seek-expand
...
unixfs: fix relative seek not expanding file properly
2016-08-17 13:58:25 -07:00
Jakub Sztandera
9f9ca6cb19
unixfs: add ReadAndSeek test
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-17 21:51:21 +02:00
Jakub Sztandera
697868030e
unixfs: add more seek test cases
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-17 19:39:09 +02:00
Jakub Sztandera
d16ae1bbfe
unixfs: fix relative seek not expanding file properly
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-17 19:13:38 +02:00
Jakub Sztandera
2065636318
unixfs: cleanup imports and remove unused error
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-17 19:13:15 +02:00
Kevin Atkinson
8679af7a02
"block rm": add "--force" and "--quiet" option
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-17 01:29:40 -04:00
Kevin Atkinson
92f6747a95
"block rm": test case for removing pinned, valid, and non-existent blocks
...
Add test that removes a combination of pinned, valid, and non-existent
blocks in one command.
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-16 20:52:00 -04:00
Kevin Atkinson
bf7c5b3037
Fix bug in arccache.DeleteBlock() method.
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-16 19:26:17 -04:00
Jeromy Johnson
740a0943cc
Merge pull request #3051 from ipfs/doc/manual-building
...
readme: add notes on building for uncommon systems
2016-08-16 12:49:35 -07:00
Richard Littauer
4f4f57e030
Small edits
...
License: MIT
Signed-off-by: Richard Littauer <richard.littauer@gmail.com>
2016-08-16 13:50:32 -04:00
Jeromy Johnson
f2dcad8531
Merge pull request #2999 from ipfs/feature/makefile-cleanup
...
Cleanup makefiles
2016-08-16 10:15:08 -07:00
Jakub Sztandera
7febd606d4
test: fixup style and add more checks to blockstore tests
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-16 18:59:36 +02:00
Jeromy Johnson
f9f136a65b
Merge pull request #3079 from ipfs/feat/MrSparc-dist_get
...
bin: dist_get script: prevents get_go_vars() returns same values twice
2016-08-16 09:38:42 -07:00
Jeromy Johnson
1891fd13bf
Merge pull request #3083 from dokterbob/lshelpdoc
...
Document listing commands better
2016-08-16 09:37:57 -07:00
Jeromy Johnson
8c237ce5d2
Merge pull request #3084 from ipfs/feat/test-cover-blocks-set
...
test: 100% coverage on blocks/set
2016-08-16 09:31:24 -07:00
Jeromy Johnson
2414c06221
Merge pull request #2852 from thomas-gardner/bitswap/ledger
...
bitswap: add `ledger` subcommand
2016-08-16 09:29:40 -07:00
Jeromy Johnson
dcfd842d83
Merge pull request #3041 from JesseWeinstein/docs/cli-use-imperative
...
Make all Taglines use imperative mood
2016-08-16 09:25:09 -07:00
Jeromy Johnson
3e8fcc5b28
Merge pull request #3077 from ipfs/feat/is-domain-to-gxx
...
deps: move go-is-domain to gx
2016-08-16 09:24:53 -07:00
Jeromy
1f3f1f65da
version bump to 0.4.4-dev
...
License: MIT
Signed-off-by: Jeromy <why@ipfs.io>
2016-08-16 09:23:26 -07:00
Jeromy Johnson
f2127af019
Merge pull request #3088 from ipfs/feature/add-period
...
Add period to `ipfs pin rm`
2016-08-16 09:22:30 -07:00
Jeromy Johnson
b5a6f76283
Merge pull request #3087 from kevinsimper/patch-1
...
Update dns help with a correct domain name
2016-08-16 09:22:18 -07:00
Jeromy Johnson
1d0c00eb29
Merge pull request #3090 from ipfs/feat/test-cover-blocks-util
...
test: 100% coverage for blocks/blocksutil
2016-08-16 09:22:07 -07:00
Jeromy Johnson
4eb7c6c353
Merge pull request #3085 from ipfs/fix-test_fsh
...
ipfs-test-lib: fix test_fsh arg quoting
2016-08-16 09:21:59 -07:00
Jakub Sztandera
594c946606
docs: decapitalize error message in blocks.go
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-16 17:36:18 +02:00
Jakub Sztandera
21cbb90960
test: 100% coverage for blocks/blocksutil
...
This was easy.
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-16 13:03:20 +02:00
Jakub Sztandera
a63b5c38b7
test: make the test bit cleaner
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-16 12:53:27 +02:00
Jakub Sztandera
2408f866c5
blocks: rename errWrongHash to ErrWrongHash
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-16 12:42:18 +02:00
Kevin Atkinson
c88b4b0941
"block rm": remove the option to ignore pins
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Kevin Atkinson
efeb789878
Check for multiple pinned blocks in a single pass.
...
Provide a new method, Pinner.CheckIfPinned(), which will check if
any of the arguments are pinned. Previously IsPinned would need to be
called once for each block. The new method will speed up the checking
of multiple pinned blocks from O(p*n) to O(p) (where p is the number
of pinned blocks and n is the number of blocks to be check)
Use the new method in "block rm".
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Kevin Atkinson
6ad497bcf0
"block rm": use channel instead of pipe / don't abort on non-fatal error
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Kevin Atkinson
453be22dfb
Add "ipfs block rm" command.
...
License: MIT
Signed-off-by: Kevin Atkinson <k@kevina.org>
2016-08-15 13:17:43 -04:00
Jakub Sztandera
68d5197265
test: do explicit error check
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@ipfs.io>
2016-08-15 17:23:44 +02:00
Richard Littauer
b76dcb8dd7
Add period to ipfs pin rm
...
Small doc fix.
License: MIT
Signed-off-by: Richard Littauer <richard.littauer@gmail.com>
2016-08-15 10:46:15 -04:00
Jakub Sztandera
233a622ed0
test: 81% coverage on blockstore
...
Coverage report available at: https://ipfs.io/ipfs/QmTuMtwGCfHrbYyZdQ1RaGNwS2MGsmAkjA8AaB69N7Ya1g/coverage.html#file0
Part of #3053
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@ipfs.io>
2016-08-15 16:21:52 +02:00
Kevin Simper
e3a42d983e
Update dns help with a correct domain name
...
Closes https://github.com/ipfs/faq/issues/161
License: MIT
Signed-off-by: Kevin Simper <kevin.simper@gmail.com>
2016-08-15 13:24:41 +02:00
Jakub Sztandera
fcdf52735e
test: 82% coverage on blocks
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-15 12:47:50 +02:00
Christian Couder
2489dfe8a9
ipfs-test-lib: fix test_fsh arg quoting
...
test_fsh() should quote its arguments before passing them
to `eval` otherwise there are problems when the arguments
contain spaces.
For example when running the following program:
```
#!/bin/sh
. ./ipfs-test-lib.sh
die () {
printf >&2 "%s\n" "$@"
exit 1
}
DIR1="test dir 1"
DIR2="test dir 2"
mkdir "$DIR1" "$DIR2" || die "Could not mkdir '$DIR1' '$DIR2'"
echo "in dir 1" >"$DIR1/file1" || die "Could not write into '$DIR1/file1'"
echo "in dir 2" >"$DIR2/file2" || die "Could not write into '$DIR2/file2'"
if test_cmp "$DIR1/file1" "$DIR2/file2"
then
echo "test_cmp succeeded!"
else
echo "test_cmp failed!"
fi
rm -rf "$DIR1" "$DIR2" || die "Could not rm -rf '$DIR1' '$DIR2'"
```
we get:
```
> diff -u test dir 1/file1 test dir 2/file2
diff: extra operand '1/file1'
diff: Try 'diff --help' for more information.
test_cmp failed!
```
License: MIT
Signed-off-by: Christian Couder <chriscool@tuxfamily.org>
2016-08-15 12:10:15 +02:00
Jakub Sztandera
9437b3af61
test: 100% coverage on blocks/set
...
License: MIT
Signed-off-by: Jakub Sztandera <kubuxu@protonmail.ch>
2016-08-15 12:03:43 +02:00
Mathijs de Bruin
0aad342306
Improve command documentation for listing commands ( Fixes #3057 ).
...
* Document deprecation of 'ipfs file' in command help.
* Be explicit about 'ipfs ls' listing unixfs and suplying type in JSON.
* Amend description for 'ipfs files ls'.
License: MIT
Signed-off-by: Mathijs de Bruin <mathijs@mathijsfietst.nl>
2016-08-13 11:17:50 +02:00
Jakub Sztandera
e26ce572a0
bin: dist_get script: prevents get_go_vars() returns same values twice
...
License: MIT
Signed-off-by: Ariel Machado <sparciie@yahoo.com>
2016-08-12 21:03:08 +02:00